Skip to main content
Resource Center/Resource Pool/VM Instance Operations

GetCandidateZonesClustersHostsForCreatingVm

GetCandidateZonesClustersHostsForCreatingVm

GET/zstack/v1/vm-instances/candidate-destinations

Operation ID

GetCandidateZonesClustersHostsForCreatingVm

Since

3.10.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Query Parameters

  • instanceOfferingUuid
    String

    Optional. The instance offering UUID.

  • imageUuid
    StringRequired

    The image UUID.

  • l3NetworkUuids
    ListRequired

    The L3 network list.

  • rootDiskOfferingUuid
    String

    Optional. The disk offering of the root volume. This parameter is required only when the image type specified in imageUuid is ISO.

  • dataDiskOfferingUuids
    List

    Optional. The disk offering list.

Body Fields

  • cpuNum
    int

    Optional. The CPU count.

  • memorySize
    long

    Optional. The memory size. Unit: Byte.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeds.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • zones
    ListRequired

    See zones.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • state
      StringRequired

      The resource state.

    • type
      StringRequired

      The resource type.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

  • clusters
    ListRequired

    See clusters.

    • name
      StringRequired

      The resource name.

    • uuid
      StringRequired

      The resource UUID.

    • description
      StringRequired

      The detailed description of the resource.

    • state
      StringRequired

      The cluster state.

    • hypervisorType
      StringRequired

      The hypervisor type.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • zoneUuid
      StringRequired

      The zone UUID.

    • type
      StringRequired

      The reserved field.

  • hosts
    ListRequired

    See hosts.

    • zoneUuid
      StringRequired

      The zone UUID.

    • name
      StringRequired

      The resource name.

    • uuid
      StringRequired

      The resource UUID.

    • clusterUuid
      StringRequired

      The cluster UUID.

    • description
      StringRequired

      The detailed description of the resource.

    • managementIp
      StringRequired

      The management IP.

    • hypervisorType
      StringRequired

      The hypervisor type.

    • state
      StringRequired

      The resource state.

    • status
      StringRequired

      The resource status.

    • totalCpuCapacity
      LongRequired

      The total CPU capacity.

    • availableCpuCapacity
      LongRequired

      The available CPU capacity.

    • totalMemoryCapacity
      LongRequired

      The total memory capacity.

    • availableMemoryCapacity
      LongRequired

      The available memory capacity.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.